#ifndef __global_f__
# define __global_f__

#define BIN_TO_HEX(bin, hex, size) \
    if (size == 'Q') \
	quad_to_hex__(bin, hex); \
    else \
	bin_to_hex__(*(bin), hex, size)

#define HEX_TO_BIN(hex, bin, size) \
    if (size == 'Q') \
	hex_to_quad__(hex, (bin)); \
    else \
	hex_to_bin__(hex, (bin), size)

extern void remove_space__(/* line */);
extern void upper_case__(/* line */);
extern boolean hex_to_bin__(/* hex, bin, size */);
extern void bin_to_hex__(/* bin, hex, size */);
extern boolean hex_to_quad__(/* hex, quad_bin */);
extern void quad_to_hex__(/* quad_bin, hex */);
extern int quad_compare__(/* arg1, arg2 */);
extern void get_first_arg__(/* line, first_arg, arg_len, max_len,allow_no_arg */);
extern void get_value_for_change__(/* cmd, value, verify */);
extern void get_verify_flag__(/* cmd, verify */);
extern void interpret_flags__(/* flags, flag_array, flag_struct, count */);
extern void null_func__ (/* cmd,response */);
extern void init_data__();
extern reg_desc *search_reg_tab__(/* reg_name */);
extern void get_reg_val__(/* regp, bin */);
extern void put_reg_val__(/* regp, bin */);
extern void print_reg_val__(/* regp, response */);
#endif
